<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\MAN\Services\RelDesistenciaProdutoService;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class RelDesistenciaProduto {
    
    protected $relMTC;
    protected $util;

    public function __construct (Utilities\Util $util, RelDesistenciaProdutoService $relDesProdService){
        $this->utilService = $util;
        $this->relDespProdService = $relDesProdService;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $conditions = $this->utilService->getParamsAsArray($request);
        $allData = $this->relDespProdService->find($conditions);
        $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('vnd0160w_relDesistenciaProduto', $allData));
    }
    
    
}